Summary: Model Railroad System
Name: MRRSystem
Version: 2.1.43
Release: 1%{?dist}
Group: Applications/Engineering
License: GPL
URL: http://www.deepsoft.com/ModelRailroadSystem
Source: ftp://ftp.deepsoft.com/pub/deepwoods/Products/MRRSystem/MRRSystem-2.1.43.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildRequires: doxygen >= 1.7.4, tcl-devel >= 8.4, bison++, swig >= 1.3
BuildRequires: libusb1-devel >= 1.0, tcllib, gcc >= 3.4, gcc-c++
BuildRequires: libstdc++-devel, glibc-devel, unzip
BuildRequires: boost-devel, libtool, automake, autoconf, tetex-latex, 
BuildRequires: gettext gettext-devel libudev-devel
# Suppress striping executables -- preserve my starkits! 
%define __strip /bin/true
%description
The Model Railroad System contains programs and libraries to support
various model railroad activities, including operating the model
railroad itself, freight car forwarding, time table creating, and
dealing with some of the design work as well.


%package doc
Summary: Model Railroad System Documentation
Group: Applications/Engineering
%description doc
The Model Railroad System contains programs and libraries to support
various model railroad activities, including operating the model
railroad itself, freight car forwarding, time table creating, and
dealing with some of the design work as well. This is the documentation
package.

%package devel
Summary: Model Railroad System Development
Group: Applications/Engineering
%description devel
The Model Railroad System contains programs and libraries to support
various model railroad activities, including operating the model
railroad itself, freight car forwarding, time table creating, and
dealing with some of the design work as well. This is the development
package.

%package examples
Summary: Model Railroad System Example Data and Code
Group: Applications/Engineering
%description examples
The Model Railroad System contains programs and libraries to support
various model railroad activities, including operating the model
railroad itself, freight car forwarding, time table creating, and
dealing with some of the design work as well. This is the development
package.


%prep
%setup -q
./bootstrap

%build
%configure
LANG=en_US.UTF-8 make

%install
rm -rf $RPM_BUILD_ROOT/usr
rm -rf $RPM_BUILD_ROOT/etc
make DESTDIR=$RPM_BUILD_ROOT install
/usr/bin/install -d $RPM_BUILD_ROOT/etc/hotplug/usb
/usr/bin/install -c $RPM_BUILD_ROOT/usr/share/MRRSystem/RailDriver/raildriverd.hotplug $RPM_BUILD_ROOT/etc/hotplug/usb/raildriverd
/usr/bin/install -d $RPM_BUILD_ROOT/etc/udev/rules.d
/usr/bin/install -c $RPM_BUILD_ROOT/usr/share/MRRSystem/RailDriver/90-raildriver.rules $RPM_BUILD_ROOT/etc/udev/rules.d
/usr/bin/install -c $RPM_BUILD_ROOT/usr/share/MRRSystem/Azatrax/90-Azatrax.rules $RPM_BUILD_ROOT/etc/udev/rules.d
/usr/bin/install -d $RPM_BUILD_ROOT/lib/udev
/usr/bin/install -c $RPM_BUILD_ROOT/usr/share/MRRSystem/RailDriver/raildriverd.udev $RPM_BUILD_ROOT/lib/udev/raildriverd



%clean
rm -rf $RPM_BUILD_ROOT

%post 
grep -v raildriverd /etc/hotplug/usb.usermap > /etc/hotplug/usb.usermap.tmp
/usr/share/MRRSystem/RailDriver/print-usb-usermap >> /etc/hotplug/usb.usermap.tmp
mv /etc/hotplug/usb.usermap.tmp /etc/hotplug/usb.usermap
# register libraries
/sbin/ldconfig

%postun 
/sbin/ldconfig
if [ "$1" = 0 ]; then
    # remove raildriverd from /etc/hotplug/usb.usermap
    grep -v 'raildriverd' /etc/hotplug/usb.usermap > /etc/hotplug/usb.usermap.new
    mv /etc/hotplug/usb.usermap.new /etc/hotplug/usb.usermap
fi


%files
%defattr(-, root, root)

%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_bindir}
%{_sbindir}
%{_sysconfdir}/hotplug/usb/raildriverd
%{_sysconfdir}/udev/rules.d/90-raildriver.rules
%{_sysconfdir}/udev/rules.d/90-Azatrax.rules
/lib/udev/raildriverd
%{_libdir}/libfcfclasses.so 
%{_libdir}/libfcfclasses.so.0 
%{_libdir}/libfcfclasses.so.0.0.0 
%{_libdir}/libazatrax.so 
%{_libdir}/libazatrax.so.0 
%{_libdir}/libazatrax.so.0.0.0 
%{_libdir}/libMRRParserClasses.so 
%{_libdir}/libMRRParserClasses.so.0 
%{_libdir}/libMRRParserClasses.so.0.0.0 
%{_libdir}/libraildriverio.so
%{_libdir}/libraildriverio.so.0
%{_libdir}/libraildriverio.so.0.0.0
%{_libdir}/libttclasses.so 
%{_libdir}/libttclasses.so.0 
%{_libdir}/libttclasses.so.0.0.0 
%{_libdir}/libtclsocketcan.so
%{_libdir}/libtclsocketcan.so.0
%{_libdir}/libtclsocketcan.so.0.0.0
%{_libdir}/MRRSystem/libfcfclasses.so 
%{_libdir}/MRRSystem/libazatrax.so 
%{_libdir}/MRRSystem/libMRRParserClasses.so 
%{_libdir}/MRRSystem/libraildriverio.so
%{_libdir}/MRRSystem/libttclasses.so
%{_libdir}/MRRSystem/libtclsocketcan.so 
%{_libdir}/MRRSystem/pkgIndex.tcl 
%{_datadir}/MRRSystem/CMri
%{_datadir}/MRRSystem/Common 
%{_datadir}/MRRSystem/GRSupport 
%{_datadir}/MRRSystem/RailDriverSupport
%{_datadir}/MRRSystem/NCE
%{_datadir}/MRRSystem/Azatrax
%{_datadir}/MRRSystem/RailDriver 
%{_datadir}/MRRSystem/TTScripts 
%{_datadir}/MRRSystem/XPressNet
%{_datadir}/MRRSystem/Satellite
%{_datadir}/MRRSystem/CTIAcela
%{_datadir}/MRRSystem/ControlSupport
%{_datadir}/MRRSystem/LCC
%{_mandir}/man1
%{_mandir}/man8
%{_desktopdir}
%{_datadir}/pixmaps
%{_datadir}/locale/en/LC_MESSAGES/mrrsystem.mo

%files doc
%defattr(-, root, root)

%{_datadir}/MRRSystem/Doc/DispatcherExamples
%{_datadir}/MRRSystem/Doc/UserManual
%{_datadir}/MRRSystem/Doc/UserManual.pdf
%{_datadir}/MRRSystem/Doc/ApplicationNote01.pdf
%{_datadir}/MRRSystem/Doc/AN01.tcl
%{_datadir}/MRRSystem/Doc/ApplicationNote02.pdf
%{_datadir}/MRRSystem/Doc/AN02.tcl


%files devel

%{_libdir}/libfcfclasses.la 
%{_libdir}/libazatrax.la 
%{_libdir}/libMRRParserClasses.la 
%{_libdir}/libraildriverio.la
%{_libdir}/libttclasses.la 
%{_libdir}/libtclsocketcan.la
%{_libdir}/libfcfclasses.a 
%{_libdir}/libazatrax.a 
%{_libdir}/libMRRParserClasses.a 
%{_libdir}/libraildriverio.a
%{_libdir}/libttclasses.a 
%{_libdir}/libtclsocketcan.a
%{_libdir}/MRRSystem/*.kit
%{_libdir}/MRRSystem/Img-*.zip
%{_libdir}/MRRSystem/pkgIndex_fcfclasses.tcl
%{_libdir}/MRRSystem/pkgIndex_azatrax.tcl
%{_libdir}/MRRSystem/pkgIndex_mrr.tcl
%{_libdir}/MRRSystem/pkgIndex_raildriverio.tcl
%{_libdir}/MRRSystem/pkgIndex_ttclasses.tcl
%{_libdir}/MRRSystem/pkgIndex_tclsocketcan.tcl
%{_libdir}/MRRSystem/Installer
%{_datadir}/MRRSystem/*.pot
%{_mandir}/man3
%{_prefix}/include
%{_datadir}/MRRSystem/GenericThrottle
%{_datadir}/MRRSystem/Doc/fig*
%{_datadir}/MRRSystem/Doc/Help.h
%{_datadir}/MRRSystem/Doc/InternalsHTML
%{_datadir}/MRRSystem/Doc/internals.pdf
%{_datadir}/MRRSystem/Doc/ProgrammingGuide.pdf
%{_datadir}/MRRSystem/Doc/SampleCode*
%{_datadir}/MRRSystem/Doc/Finn.pdf

%files examples

%{_datadir}/MRRSystem/ExampleDataAndCode/*
